Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Sat, 2 May 2015 15:01:59 +0300

On 05/02/2015 02:16 PM, Eli Zaretskii wrote:

> It did, so that's not the problem.

Hmm, it worked for me after that.

> I don't understand this new prompt, it says:
>
>    In directory: /patch/to/emacs/trunk/src/
>
> What does it ask about?  (I just pressed RET, since the directory
> sounds correct.)

"[Search for references] in directory". Should the first three words be 
spelled out as well?

> I tried both, and got the same results.  So this is not the reason;
> there's something else at work here.

I simply run mkid, without arguments, in ~/vc/emacs/src.

> [Time passes] Ah, I see the reason: Some code that uses ID Utils
> expects the file names in the ID database to be absolute.  So if I
> create the ID database like this:
>
>     mkid -o ID /path/to/emacs/src
>
> then the feature starts working.

It works fine for me either way (whether called on /path/..., or .), 
using mkid 4.6, on GNU/Linux.

Could it be a misfeature of the Windows port?

> I think it should support relative names as well, by expanding them
> relative to the directory in which the ID database was found.  And in
> any case, claiming it found no references instead of saying something
> about finding no files whose names were returned by ID Utils is a less
> than useful error message, IMO.

ID Utils is used through several levels of indirection. xref can't be 
aware of it. I guess we could output some additional message in 
xref-collect-references though (patch welcome).